package com.ssj.bean.weixin.download.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "tb_download_file")
public class DownloadFile extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 4852493259949702754L;
	/**
	 * 返回图片或语音的服务器端ID
	 */
	private String  mediaId;
	/**
	 * 1图片，2语音
	 */
	private Integer type;
	/**
	 * 文件下载保存路径
	 */
	private String  url;
	/**
	 * 0未下载1已下载2下载失败
	 */
	private Integer  stat;
	/**
	 * 拍照、语音调用接口后服务返回ID
	 */
	private String localId;
	
	private Date createTime;
	/**
	 * 时长
	 */
	private Long duration;
	/**
	 * 文件转换后路径
	 */
	private String  mp3url;
	@Column(name = "mp3url")
	public String getMp3url() {
		return mp3url;
	}
	public void setMp3url(String mp3url) {
		this.mp3url = mp3url;
	}
	@Column(name = "media_id") 
	public String getMediaId() {
		return mediaId;
	}
	public void setMediaId(String mediaId) {
		this.mediaId = mediaId;
	}
	 @Column(name = "type") 
	public Integer getType() {
		return type;
	}
	public void setType(Integer type) {
		this.type = type;
	}
	 @Column(name = "url") 
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	 @Column(name = "stat") 
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	 @Column(name = "create_time" , updatable = false) 
	public Date getCreateTime() {
			return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	 @Column(name = "local_id") 
	public String getLocalId() {
		return localId;
	}
	public void setLocalId(String localId) {
		this.localId = localId;
	}
	@Column(name = "duration") 
	public Long getDuration() {
		return duration;
	}
	public void setDuration(Long duration) {
		this.duration = duration;
	}
	
	
	

}
